package org.eclipse.jnosql.test;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Inject;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;
import java.util.List;

@Path("/")
@ApplicationScoped
public class TestEndpoint {

    @Inject
    private TestService test_service;
    
    @GET
    @Path("/")
    @Produces(MediaType.APPLICATION_JSON)
    public List<TestEntity> getTests() {
        return test_service.findAll();
    }
}
