package org.eclipse.jnosql.test;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Inject;
import jakarta.nosql.mapping.Database;
import jakarta.nosql.mapping.DatabaseType;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

@ApplicationScoped
public class TestService {

    @Inject
    @Database(DatabaseType.DOCUMENT)
    private TestRepository test_repository;
    
    public List<TestEntity> findAll() {
        final Stream<TestEntity> stream = test_repository.findAll();
        return stream == null ? Collections.EMPTY_LIST : 
                                stream.collect(Collectors.toList());
    }
}
