package org.eclipse.jnosql.test;

import jakarta.data.repository.Page;
import jakarta.data.repository.Pageable;
import jakarta.data.repository.PageableRepository;
import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Named;
import java.util.stream.Stream;

@ApplicationScoped
public interface TestRepository extends PageableRepository<TestEntity, String> {
    
    @Override
    Stream<TestEntity> findAll();

    @Override
    Page<TestEntity> findAll(Pageable pageable);
}
